OpenVDB 12.1.0

Loading...
Searching...
No Matches
ConvexVoxelizer.h File Reference

Base class used to generate the narrow-band level set of a convex region. More...

`#include <openvdb/math/Math.h>`
`#include <openvdb/thread/Threading.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include <openvdb/tools/Merge.h>`
`#include <openvdb/tools/SignedFloodFill.h>`
`#include <tbb/enumerable_thread_specific.h>`
`#include <tbb/parallel_for.h>`
`#include <tbb/parallel_reduce.h>`
`#include <tbb/blocked_range.h>`
`#include <type_traits>`
`#include <vector>`

Go to the source code of this file.

## Classes
struct | PointArray< VectorType >
| Internal class used by derived `ConvexVoxelizer` classes that make use of PointPartitioner. More...
class | ConvexVoxelizer< GridType, Derived, InterruptType >
| Base class used to generate a grid of type `GridType` containing a narrow-band level set representation of a convex region. More...
class | ConvexVoxelizer< GridType, Derived, InterruptType >::XYRangeData
| Class that stores endpoints of a y range for each x value within a specified range and step size. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v12_1
namespace | openvdb::v12_1::tools
namespace | openvdb::v12_1::tools::lvlset

## Macros
#define | EPS 0.0005f

## Detailed Description

Base class used to generate the narrow-band level set of a convex region.

Author
  Greg Hurst

Note
  By definition a level set has a fixed narrow band width (the half width is defined by LEVEL_SET_HALF_WIDTH in Types.h), whereas an SDF can have a variable narrow band width.

## Macro Definition Documentation

## ◆ EPS

#define EPS 0.0005f